Subject: Re: bug#73328: Adding Hyprland

From: John Kehayias <[email-masked]>
Date: Wed, 01 Jan 2025 20:13:43 +0000

On Tue, Sep 17, 2024 at 10:31 PM, The Man wrote:

> While the conditions are not quite ideal, guix is almost in a form to accept Hyprland
> the following remains:
> mesa-updates commits:
> 318a1b8596b4862e7449f9e809fc29b203256db6 (gnu: wayland-protocols: Update to 1.37.)
> fdc34f63b54de7d356cc5adcbed7a0c7a532c789 (gnu: libinput: Update to 1.26.2.)
> in the master guix branch:
> https://issues.guix.gnu.org/73311 (libliftoff)
> others:
> pipewire updated (only issue with a single header, not a real blocker but would be ideal)
>
> Otherwise, see attached with the hypr* desktop and utilities building, running, and working
> on my desktop.
>
> The only caveat existing is that adding the following:
> ("GBM_BACKENDS_PATH" . ,(file-append mesa "/lib:$GBM_BACKENDS_PATH"))
> to a home-environment-variables-service-type in your home configuration is apparently a
> requirement for running or hyprland will complain about egl/gbm.
> otherwise I've tested the functionality of the desktop and nothing appears to be broken.
> linked, a screenshot of hyprland running in guix: https://files.catbox.moe/2troyt.webp
>
> attached are the package and service files.
> feel free to put this off until later, this is only to show that it can be done.

Closing, as hyprland was finally added to Guix some weeks ago :)

I'm not sure about your second file (hyprland service) as hyprland can
be used as any other WM/compositor from e.g. GDM login manager. If
something doesn't work correctly currently or something to add, please
do open a new bug/patch. (I do use hyprland on Guix via a login manager
and have had no issues that I know of, but I do treat it more as a bare
WM and set up things as I do for other non-DEs.)

Thanks!
John